package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TaUserLicenseOrder;

/**
 * <p>
 * 月租车缴费订单表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
public interface ITaUserLicenseOrderService extends IService<TaUserLicenseOrder> {

    /**
     * 获取所有缴费记录
     * @param id
     * @param licensePlate
     * @param orderNumber
     * @param paymentName
     * @param paymentTel
     * @return
     */
    ResponseBean getAll(Integer id, String licensePlate, String orderNumber, String paymentName, String paymentTel, Integer pageNum, Integer pageSize, UserElement userElement);

}
